## This function moves the player's mainhand item to their head slot

# sets player safety_check's hs_spam score to 1 to stop the function from being called again while it's active
scoreboard players set safety_check hs_spam 1

# summons armor stand at bedrock that will store the player's head item if they have any
execute at @s run summon armor_stand ~ -65 ~ {Invisible:1b,DisabledSlots:4144959,Invulnerable:1b,NoGravity:1b,Tags:["head_equip"]}
# copies the player's head slot item to the newly created armor stand
item replace entity @e[type=minecraft:armor_stand,limit=1,tag=head_equip] armor.head from entity @s armor.head
# copies the item the player is holding to their head
item replace entity @s armor.head from entity @s weapon.mainhand
# copies item on armor stant to player hand
item replace entity @s weapon.mainhand from entity @e[type=minecraft:armor_stand,limit=1,tag=head_equip] armor.head
# kills the armor stand
execute as @s run kill @e[type=minecraft:armor_stand,limit=1,sort=nearest,tag=head_equip]
# tells player that the function was successful and plays a sound
$tellraw @s [{"text":"✔ Equipped ","color": "#1bc457"},{"text":"[$(id)]","color":"#82f090"}]
execute at @s run playsound minecraft:block.amethyst_block.hit master @s ~ ~ ~ 2 1

# sets spam protection into the next state (equipped but not off cooldown)
scoreboard players set safety_check hs_spam 2

# calls the spam protection function after 1 second of delay
schedule function head_equip:spam 2t