## This function is for the /trigger head_equip command


# if spam protection is 0, and the player doesn't have an item with Curse of Binding, 
# it checks if the head_equip scoreboard has been triggered and if so, activates the move_item function
execute if score safety_check hs_spam matches 0 as @a[scores={head_equip=1..}] if data entity @s SelectedItem unless entity @s[nbt={Inventory:[{Slot:103b, tag:{Enchantments:[{id:"minecraft:binding_curse"}]}}]}] as @s run function head_equip:equip with entity @s SelectedItem

# notifies the player that they aren't holding anything and plays a sound
execute if score safety_check hs_spam matches 0 as @a[scores={head_equip=1..}] unless data entity @s SelectedItem run tellraw @s {"text": "✦ You must hold an item in your hand.", "color": "#00a5ff"}
execute if score safety_check hs_spam matches 0 as @a[scores={head_equip=1..}] unless data entity @s SelectedItem at @s run playsound minecraft:ui.stonecutter.take_result master @s ~ ~ ~ 2 1.7
# notifies the player if the funcion is busy and plays a sound
execute if score safety_check hs_spam matches 1 as @a[scores={head_equip=1..}] run tellraw @s {"text": "⚠ Command is busy, please try again.", "color": "#9047e4"}
execute if score safety_check hs_spam matches 1 as @a[scores={head_equip=1..}] at @s run playsound minecraft:block.anvil.place master @s ~ ~ ~ 0.1
# notifies the player about their Curse of Binding item if they have one on, and plays a sound
execute if score safety_check hs_spam matches 0 as @a[scores={head_equip=1..}] if entity @s[nbt={Inventory:[{Slot:103b, tag:{Enchantments:[{id:"minecraft:binding_curse"}]}}]}] if data entity @s SelectedItem run tellraw @s {"text": "✖ Equipped item has Curse of Binding! Cannot swap.", "color": "#fb5454"}
execute if score safety_check hs_spam matches 0 as @a[scores={head_equip=1..}] if entity @s[nbt={Inventory:[{Slot:103b, tag:{Enchantments:[{id:"minecraft:binding_curse"}]}}]}] if data entity @s SelectedItem at @s run playsound minecraft:block.enchantment_table.use master @s ~ ~ ~ 2 1.8

# resets the scoreboard so it can be triggered again
scoreboard players set @a[scores={head_equip=1..}] head_equip 0

# enables the head_equip scoreboard every tick to activate the /trigger head_equip command
scoreboard players enable @a head_equip